FLAM

Posts

5 Posts routes on the FLAM API.

Base URL https://api.flam.fashion. Send Authorization: Bearer flam_sk_… on every call; a handful of routes are session-only and say so. How keys and roles work.

GET /posts

Responses

StatusMeaning
200All posts

200 returns:

[
  {
    "id": "p_abc123",
    "title": "Hello world",
    "body": "My first post.",
    "authorId": "u_abc123",
    "createdAt": "2026-07-01T12:00:00.000Z",
    "updatedAt": "2026-07-01T12:00:00.000Z"
  }
]

Call it

curl -X GET "https://api.flam.fashion/posts" \
  -H "Authorization: Bearer $FLAM_API_KEY"

POST /posts

Request bodyapplication/json

FieldTypeRequiredNotes
titlestringyes
bodystringyes
{
  "title": "string",
  "body": "string"
}

Responses

StatusMeaning
201Created post
401Unauthorized

201 returns:

{
  "id": "p_abc123",
  "title": "Hello world",
  "body": "My first post.",
  "authorId": "u_abc123",
  "createdAt": "2026-07-01T12:00:00.000Z",
  "updatedAt": "2026-07-01T12:00:00.000Z"
}

Call it

curl -X POST "https://api.flam.fashion/posts" \
  -H "Authorization: Bearer $FLAM_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title":"string","body":"string"}'

DELETE /posts/{id}

Parameters

InNameTypeRequiredNotes
pathidstringyes

Responses

StatusMeaning
204Deleted
401Unauthorized
403Forbidden — not the author
404Not found

Call it

curl -X DELETE "https://api.flam.fashion/posts/{id}" \
  -H "Authorization: Bearer $FLAM_API_KEY"

GET /posts/{id}

Parameters

InNameTypeRequiredNotes
pathidstringyes

Responses

StatusMeaning
200The post
404Not found

200 returns:

{
  "id": "p_abc123",
  "title": "Hello world",
  "body": "My first post.",
  "authorId": "u_abc123",
  "createdAt": "2026-07-01T12:00:00.000Z",
  "updatedAt": "2026-07-01T12:00:00.000Z"
}

Call it

curl -X GET "https://api.flam.fashion/posts/{id}" \
  -H "Authorization: Bearer $FLAM_API_KEY"

PATCH /posts/{id}

Parameters

InNameTypeRequiredNotes
pathidstringyes

Request bodyapplication/json

FieldTypeRequiredNotes
titlestringno
bodystringno
{
  "title": "string",
  "body": "string"
}

Responses

StatusMeaning
200Updated post
401Unauthorized
403Forbidden — not the author
404Not found

200 returns:

{
  "id": "p_abc123",
  "title": "Hello world",
  "body": "My first post.",
  "authorId": "u_abc123",
  "createdAt": "2026-07-01T12:00:00.000Z",
  "updatedAt": "2026-07-01T12:00:00.000Z"
}

Call it

curl -X PATCH "https://api.flam.fashion/posts/{id}" \
  -H "Authorization: Bearer $FLAM_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"title":"string","body":"string"}'